MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001343XdebugUsage problems (Wrong Results)public2016-09-01 10:472016-12-04 18:33
ReporterDimICE 
Assigned Toderick 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version2.4.1 
Target VersionFixed in Version2.5.0 
Summary0001343: var_dump with large keys in arrays display as negative numbers
DescriptionWithout xdebug:
array(1) {
  [730022509303030]=>
  string(4) "test"
}

With xdebug:
array (size=1)
  -1671932682 => string 'test' (length=4)
Steps To ReproduceTest script:
<?php
    $ar = array();
    $id = (int)730022509303030;
    $ar[$id] = "test";
    var_dump($id);
    var_dump($ar);
?>
TagsNo tags attached.
Operating SystemWindows 10 x64
PHP Version7.0.5-7.0.9
Attached Files

- Relationships

-  Notes
(0003751)
derick (administrator)
2016-11-16 21:07

Fixed in Git, for Xdebug 2.5.0RC2.

- Issue History
Date Modified Username Field Change
2016-09-01 10:47 DimICE New Issue
2016-11-16 21:07 derick Note Added: 0003751
2016-11-16 21:07 derick Status new => resolved
2016-11-16 21:07 derick Fixed in Version => 2.5.0RC2
2016-11-16 21:07 derick Resolution open => fixed
2016-11-16 21:07 derick Assigned To => derick
2016-12-04 17:42 derick Summary Wrong large keys in arrays. => var_dump with large keys in arrays display as negative numbers
2016-12-04 18:32 derick Status resolved => closed
2016-12-04 18:33 derick Fixed in Version 2.5.0RC2 => 2.5.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker